Eclipse开发Struts2环境配置

使用Eclipse开发Struts2,需要“tomcat”服务器、Struts2类库、Struts2依赖库


配置在Eclipse中开发Struts2环境:

1. 下载tomcat服务器。

下载地址:http://tomcat.apache.org/

在tomcat主页上选择下载你需要的tomcat服务器版本,此处下载的是tomcat7.0版本.(主页的左边Download标签下)

解压到指定的目录(此处是E:\apache-tomcat-7.0.22)


2. 下载tomcat的Eclipse插件

下载地址:http://www.eclipsetotale.com/tomcatPlugin.html#A3

选择相应的版本下载,此处下载的是tomcatPluginV33.zip版本。


3. 将下载的tomcat的Eclipse的插件解压到你的Eclipse安装目录下的plugins文件夹下。

例如:我的Eclipse的安装目录在E盘,打开Eclipse安装目录,找到安装目录下的plugins文件夹(E:\eclipse\plugins)将tomcat的Eclipse插件解压到此目录下。


4. 重新启动Eclipse,此时会发现Eclipse工具栏那里会出现3个tomcat服务器的图标(小猫),这时候tomcat还不能使用。


5. 配置Eclipse,使Eclipse支持tomcat。

菜单栏 -> Windows -> Preferences -> Tomcat

选择你的tomcat版本和你的tomcat服务器的安装目录(此处E:\apache-tomcat-7.0.22)点击确定。

此时服务器tomcat就完全配置到Eclipse中了,这时候就可以使用tomcat的Eclipse插件控制服务器起了。


6. 下载Struts2的类库

下载地址:http://struts.apache.org/2.2.3.1/index.html,此处下载的版本为Struts 2.2.3.1

将下载的Struts2解压到指定的文件夹中(此处 E:\第三方类库\struts-2.2.3.1-all\struts-2.2.3.1)


7. 打开Struts2解压目录中的lib文件夹,你将会看见许多jar文件,这些都是Struts2的核心库和依赖库,你在开发Struts2的应用程序将会使用得到该文件夹下的文件,你可以在你的工程中添加这些类库,让你的工程具有开发Struts2的能力,虽然可以一次全都添加,但是那样会使你的程序包含了许多用不到的文件,所以下面给出开发Struts2最小类库组合,当用到其他功能时在添加其他类库是一种更好的做法。

开发Struts2应用程序需要的最小类库:

commons-fileupload-1.2.2.jar

commons-io-2.0.1.jar

commons-logging-1.1.1.jar

freemarker-2.3.16.jar

javassist-3.11.0.GA.jar(Struts2 2.1以上要求的文件)

ognl-3.0.1.jar

struts2-core-2.2.3.1.jar

xwork-core-2.2.3.1.jar

开发基本功能Struts2程序,只要包含上面8个jar文件就可以了。


阅读更多
个人分类: Struts2
想对作者说点什么? 我来说一句

eclipse开发c/c++环境配置

2008年07月26日 738KB 下载

hibernate_struts

2013年05月14日 16KB 下载

Struts2(一)

2016年10月19日 2.6MB 下载

struts2初始使用环境配置

2018年02月01日 4.61MB 下载

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭